Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1224)
@@ -1364,8 +1349,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized void cqpQuery(String motherCorpus, String subcorpus,
-			String query) throws IOException, UnexpectedAnswerException, CqiServerError {
+	public synchronized void cqpQuery(String motherCorpus, String subcorpus, String query) throws IOException, UnexpectedAnswerException, CqiServerError {
 		//System.out.println("CQPQUERY: Mother: "+motherCorpus+", sub:"+subcorpus+", "+query);
 		this.streamToServer.write(CQI_CQP_QUERY);
 		this.writeString(motherCorpus);
@@ -1403,8 +1387,7 @@
 	 * @throws CqiCqpErrorNoSuchCorpus the cqi cqp error no such corpus
 	 */
 	@Override
-	public synchronized String[] listSubcorpora(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiCqpErrorNoSuchCorpus {
+	public synchronized String[] listSubcorpora(String corpus) throws UnexpectedAnswerException, IOException, CqiCqpErrorNoSuchCorpus {
 		try {
 			return genericStringToStringArray(corpus, CQI_CQP_LIST_SUBCORPORA);
 		} catch (CqiCqpErrorNoSuchCorpus e) {
@@ -1430,8 +1413,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized int subCorpusSize(String subcorpus) throws IOException,
-	UnexpectedAnswerException, CqiServerError {
+	public synchronized int subCorpusSize(String subcorpus) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_SUBCORPUS_SIZE);
 		this.writeString(subcorpus);
 		return this.readInt();
@@ -1455,8 +1437,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized boolean subCorpusHasField(String subcorpus, byte field)
-			throws IOException, UnexpectedAnswerException, CqiServerError {
+	public synchronized boolean subCorpusHasField(String subcorpus, byte field) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_SUBCORPUS_HAS_FIELD);
 		this.writeString(subcorpus);
 		this.streamToServer.writeByte(field);
@@ -1486,9 +1467,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized int[] dumpSubCorpus(String subcorpus, byte field,
-			int first, int last) throws IOException, UnexpectedAnswerException,
-			CqiServerError {
+	public synchronized int[] dumpSubCorpus(String subcorpus, byte field, int first, int last) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_DUMP_SUBCORPUS);
 		this.writeString(subcorpus);
 		this.streamToServer.writeByte(field);
@@ -1511,8 +1490,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized void dropSubCorpus(String subcorpus) throws IOException,
-	UnexpectedAnswerException, CqiServerError {
+	public synchronized void dropSubCorpus(String subcorpus) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_DROP_SUBCORPUS);
 		this.writeString(subcorpus);
 		this.readHeaderFromServer();
@@ -1542,9 +1520,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized int[][] fdist1(String subcorpus, int cutoff,
-			byte field, String attribute) throws IOException,
-			UnexpectedAnswerException, CqiServerError {
+	public synchronized int[][] fdist1(String subcorpus, int cutoff, byte field, String attribute) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_FDIST_1);
 		this.writeString(subcorpus);
 		this.streamToServer.writeInt(cutoff);
@@ -1580,9 +1556,7 @@
 	 *             the cqi server error
 	 */
 	@Override
-	public synchronized int[][] fdist2(String subcorpus, int cutoff,
-			byte field1, String attribute1, byte field2, String attribute2)
-					throws IOException, UnexpectedAnswerException, CqiServerError {
+	public synchronized int[][] fdist2(String subcorpus, int cutoff, byte field1, String attribute1, byte field2, String attribute2) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CQP_FDIST_1);
 		this.writeString(subcorpus);
 		this.streamToServer.writeInt(cutoff);
@@ -1598,7 +1572,7 @@
 		try {
 			return connect(username, password);
 		} catch (Exception e) {
-			System.out.println(TXMCoreMessages.NetCqiClient_5+e);
+			System.out.println(CQPSearchEngineCoreMessages.NetCqiClient_5+e);
 			return false;
 		}
 	}
@@ -1765,7 +1739,7 @@
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
-			System.out.println(TXMCoreMessages.NetCqiClient_97+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
+			System.out.println(CQPSearchEngineCoreMessages.NetCqiClient_97+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 1224)
@@ -36,12 +36,10 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.libs.cqp.CQPLibPreferences;
-import org.txm.searchengine.cqp.CQPPreferences;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.stat.utils.ConsoleProgressBar;
 import org.txm.utils.OSDetector;
 import org.txm.utils.io.IOUtils;
@@ -310,37 +308,37 @@
 		File registry = new File(directory, "registry"); //$NON-NLS-1$
 		File corpora = new File(directory, "corpora"); //$NON-NLS-1$
 		if (!directory.exists()) {
-			System.err.println(TXMCoreMessages.CwbEncode_0 + directory);
+			System.err.println(CQPSearchEngineCoreMessages.CwbEncode_0 + directory);
 			return;
 		}
 		if (!bin.exists()) {
-			System.err.println(TXMCoreMessages.CwbEncode_21 + bin);
+			System.err.println(CQPSearchEngineCoreMessages.CwbEncode_21 + bin);
 			return;
 		}
 		if (!registry.exists()) {
-			System.err.println(TXMCoreMessages.CwbEncode_23 + registry);
+			System.err.println(CQPSearchEngineCoreMessages.CwbEncode_23 + registry);
 			return;
 		}
 		if (!corpora.exists()) {
-			System.err.println(TXMCoreMessages.CwbEncode_25 + corpora);
+			System.err.println(CQPSearchEngineCoreMessages.CwbEncode_25 + corpora);
 			return;
 		}
 
 		for (File corpus : corpora.listFiles()) {
 			if (!corpus.isDirectory()) continue;
 			
-			System.out.println(TXMCoreMessages.CwbEncode_27 + corpus.getName());
+			System.out.println(CQPSearchEngineCoreMessages.CwbEncode_27 + corpus.getName());
 			File data = new File(corpus, "data"); //$NON-NLS-1$
 
 			if (!data.exists()) {
-				System.err.println(TXMCoreMessages.CwbEncode_29 + data);
+				System.err.println(CQPSearchEngineCoreMessages.CwbEncode_29 + data);
 				return;
 			}
 
 			String datapath = data.getAbsolutePath();
 			String regpath = registry.getAbsolutePath() + "/" + corpus.getName(); //$NON-NLS-1$
 			if (datapath.startsWith("\\\\")) datapath = datapath.replace("\\\\", "//"); // fix UNC paths for mingw
-			System.out.println(NLS.bind(TXMCoreMessages.CwbEncode_32, regpath, datapath));
+			System.out.println(NLS.bind(CQPSearchEngineCoreMessages.CwbEncode_32, regpath, datapath));
 			try {
 				PatchCwbRegistry.patch(new File(regpath), new File(datapath));
 			} catch (IOException e) {
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 0)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 1224)
@@ -0,0 +1,42 @@
+package org.txm.searchengine.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Search engine core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class SearchEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.searchengine.core.messages.messages"; //$NON-NLS-1$
+
+	public static String info_creatingNewPartition;
+	public static String info_deletingPartition;
+	public static String info_partCreatedInXMs;
+	public static String info_partitionCreatedInXMs;
+	public static String DROP_QUERYRESULT;
+	public static String info_partXCreatedWithQueryZ;
+	public static String info_creatingSubcorpusXFromCorpusYWithTheQueryZ;
+	public static String DROP_SUBCORPUS;
+	public static String END_SUBCORPUS_SIZE;
+	public static String info_searchEngineStopped;
+	public static String info_stoppingSearchEngine;
+
+	public static String SUBCORPUS_CREATED;
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, SearchEngineCoreMessages.class);
+	}
+
+	private SearchEngineCoreMessages() {
+	}
+	
+}

Index: tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 1223)
+++ tmp/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 1224)
@@ -1,6 +1,8 @@
 Manifest-Version: 1.0
 Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport
-Export-Package: org.txm.searchengine.core
+Export-Package: org.txm.searchengine.core,
+ org.txm.searchengine.core.corpus,
+ org.txm.searchengine.core.messages
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Searchengine core
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 1223)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 1224)
@@ -30,7 +30,6 @@
 	public static String error_rserveIsAlreadyRunningOnPort;
 	public static String error_rservePathNotSet;
 	public static String error_youNeedRSoftware;
-	public static String info_connected;
 	public static String info_connectingToRAt;
 	public static String info_connectingToRAtWithUser;
 	public static String info_lastSafeEvalExpression;
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1223)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1224)
@@ -36,46 +36,46 @@
 	public static String common_reference;
 	public static String common_rows;
 	public static String common_structuralUnit;
-
-
 	public static String common_structuralUnitAndProperty;
 	public static String common_structure;
 	public static String common_thresholds;
 	public static String common_units;
+	public static String common_t;
+	public static String common_vMax;
 
+	
+	
 	public static String error_error2;
 	public static String error_error;
+	public static String error_errorWhileSortingResult;
+
+
 	
-	public static String info_deletingPartition;
-	public static String info_partitionCreatedInXMs;
+	public static String info_connected;
 
 	
 	public static String ApplicationWorkbenchAdvisor_13;
 	public static String ApplicationWorkbenchAdvisor_14;
 	public static String ApplicationWorkbenchAdvisor_15;
-	public static String ApplicationWorkbenchAdvisor_39;
 	public static String ApplicationWorkbenchAdvisor_40;
 	public static String ApplicationWorkbenchAdvisor_6;
 	public static String FMAX_2;
 	public static String FMIN_2;
-	public static String T;
 	public static String V;
-	public static String VMAX_1;
 
 	
-	public static String AbsoluteFrequency_1;
-	public static String AbstractCqiClient_2;
+
+	
+	public static String common_absoluteFrequency;
+
 	public static String Base_0;
-	public static String Base_22;
 	public static String Base_3;
 	public static String Base_4;
 	public static String Base_5;
 	public static String Base_6;
-	public static String BuildCwbEncodeArgs_0;
 	public static String Catalog_0;
 	public static String CatalogManager_0;
 	public static String CatalogManager_1;
-	public static String CONNECTING_CQI_CLIENT;
 	public static String Contrasts_0;
 	public static String Convert5To6_10;
 	public static String Convert5To6_11;
@@ -101,26 +101,7 @@
 	public static String Corpus_8;
 	public static String CorpusManager_0;
 	public static String CorpusManager_1;
-	public static String CQI_CLIENT_CONNECTED;
-	public static String CqiClient_0;
-	public static String CqiClient_32;
-	public static String CqiClient_33;
-	public static String CREATING_PART;
-	public static String CREATING_SUBCORPUS;
-	public static String CwbEncode_0;
-	public static String CwbEncode_21;
-	public static String CwbEncode_23;
-	public static String CwbEncode_25;
-	public static String CwbEncode_27;
-	public static String CwbEncode_29;
-	public static String CwbEncode_32;
-	public static String CwbProcess_1;
-	public static String CwbProcess_3;
-	public static String CwbProcess_4;
-	public static String CwbProcess_5;
-	public static String DROP_QUERYRESULT;
-	public static String DROP_SUBCORPUS;
-	public static String END_SUBCORPUS_SIZE;
+
 	public static String Error_CONNECTION_FAILED;
 	public static String Filter_7;
 	public static String FilterManager_0;
@@ -129,101 +110,35 @@
 	public static String GroovyImportScriptRunner_0;
 	public static String GroovyImportScriptRunner_1;
 	public static String GroovyImportScriptRunner_3;
-	public static String LEXICON;
 	public static String MainCorpus_0;
-	public static String MainCorpus_2;
-	public static String MemCqiClient_0;
-	public static String MemCqiClient_10;
-	public static String MemCqiClient_11;
-	public static String MemCqiClient_1;
-	public static String MemCqiClient_2;
-	public static String MemCqiClient_3;
-	public static String MemCqiClient_5;
-	public static String MemCqiClient_7;
-	public static String MemCqiClient_9;
-	public static String NetCqiClient_1;
-	public static String NetCqiClient_3;
-	public static String NetCqiClient_5;
-	public static String NetCqiClient_97;
-	public static String NetCqiServer_0;
-	public static String NetCqiServer_1;
-	public static String info_creatingNewPartition;
+	
+	
 	public static String Page_3;
-	public static String info_partCreatedInXMs;
 	public static String Partition_18;
-	public static String Partition_21;
 	public static String Partition_9;
 	public static String PartitionFocus_1;
 	public static String PartitionFocus_2;
 	public static String PartitionFocus_3;
 	public static String PartitionFocus_4;
-	public static String PatchCwbRegistry_13;
-	public static String PatchCwbRegistry_16;
-	public static String PatchCwbRegistry_23;
-	public static String PatchCwbRegistry_27;
-	public static String PatchCwbRegistry_28;
-	public static String PatchCwbRegistry_29;
-	public static String PatchCwbRegistry_2;
-	public static String PatchCwbRegistry_34;
-	public static String PatchCwbRegistry_35;
-	public static String PatchCwbRegistry_3;
-	public static String PatchCwbRegistry_4;
-	public static String PatchCwbRegistry_5;
-	public static String Project_0;
-	public static String Project_10;
 	public static String Project_11;
-	public static String Project_14;
-	public static String Project_15;
 	public static String Project_17;
 	public static String Project_18;
-	public static String Project_1;
 	public static String Project_26;
 	public static String Project_26_079;
 	public static String Project_28;
-	public static String Project_2;
 	public static String Project_31;
-	public static String Project_6;
-	public static String Project_7;
-	public static String Project_8;
 	public static String QUERY;
 	public static String QueryIndex_2;
 	public static String QueryIndex_3;
 	public static String QUERYING_PARTITION;
 	public static String QueryResult_0;
-	public static String READ_2D_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READ_BOOLEAN_FROM_CQI_SERVER;
-	public static String READ_BYTE_FROM_CQI_SERVER;
-	public static String READ_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READ_INTEGER_FROM_CQI_SERVER;
-	public static String READ_STRING_ARRAY_FROM_CQI_SERVER;
-	public static String READ_STRING_FROM_CQI_SERVER;
-	public static String READING_2D_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READING_BOOLEAN_FROM_CQI_SERVER;
-	public static String READING_HEADER_FROM_CQI_SERVER;
-	public static String READING_INT_ARRAY_FROM_CQI_SERVER;
-	public static String READING_INTEGER_FROM_CQI_SERVER;
-	public static String READING_STRING_ARRAY_FROM_CQI_SERVER;
-	public static String READING_STRING_FROM_CQI_SERVER;
-	public static String RelativeFrequency_3;
 	public static String Selection_26;
 	public static String Selection_5;
 	public static String Selection_6;
 	public static String Selection_7;
 	public static String Selection_8;
 	public static String Selection_9;
-	public static String SERVER_STOPED;
-	public static String STOPING_SERVER;
 	public static String StructuralUnitProperty_0;
-	public static String Subcorpus_2;
-	public static String Subcorpus_3;
-	public static String SUBCORPUS_CREATED;
-	public static String SUBCORPUS_LEXICON;
-	public static String SUBCORPUS_SIZE;
-	public static String Summary_13;
-	public static String Summary_14;
-	public static String Summary_15;
-	public static String Summary_16;
-	public static String Summary_17;
 	public static String TigerXmlIndexing_2;
 	public static String TigerXmlIndexing_3;
 	public static String TigerXmlIndexing_6;
@@ -248,9 +163,7 @@
 	public static String Toolbox_38;
 	public static String Toolbox_39;
 	public static String Toolbox_40;
-	public static String Toolbox_4;
 	public static String Toolbox_connected_to_corpus_sever;
-	public static String Toolbox_workspace_init;
 	public static String Toolbox_workspace_init_failed;
 	public static String Toolbox_wrong_port;
 	public static String TSCmd_30;
@@ -259,25 +172,41 @@
 	public static String TSCorpusManager_0;
 	public static String TSCorpusManager_1;
 	public static String TSResult_0;
-	public static String TSResult_13;
-	public static String TSResult_14;
-	public static String TSResult_18;
 	public static String TSResult_2;
-	public static String TSResult_7;
-	public static String TSResult_8;
-	public static String TxmObject_2;
 	public static String ValidateXml_0;
 	public static String ValidateXml_1;
 	public static String ValidateXml_2;
 	public static String ValidateXml_3;
-	public static String Workspace_2;
-	public static String Workspace_3;
-	public static String Workspace_4;
-	public static String Workspace_6;
-	public static String Workspace_8;
 	
 	
+	/**
+	 * Bind the given message's substitution locations with the given string values.
+	 * @param message
+	 * @param binding1
+	 * @param binding2
+	 * @param binding3
+	 * @return
+	 */
+	// FIXME: do a method that takes vargs instead of these 2 methods
+	public static String bind(String message, Object binding1, Object binding2, Object binding3) {
+		return bind(message, new Object[] {binding1, binding2, binding3});
+	}
 	
+	/**
+	 * Bind the given message's substitution locations with the given string values.
+	 * @param message
+	 * @param binding1
+	 * @param binding2
+	 * @param binding3
+	 * @param binding4
+	 * @return
+	 */
+	// FIXME: do a method that takes vargs instead of these 2 methods
+	public static String bind(String message, Object binding1, Object binding2, Object binding3, Object binding4) {
+		return bind(message, new Object[] {binding1, binding2, binding3, binding4});
+	}
+	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMCoreMessages.class);
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1223)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/preferences/TreeTaggerPreferencePage.java	(revision 1224)
@@ -80,9 +80,9 @@
 
 		runOptions.setLayout(new GridLayout(3, false));
 
-		// TREETAGGER TRAIN OPTIONS
+		// TREETAGGER TRAINING OPTIONS
 		Group runTrainOptions = new Group(this.getFieldEditorParent(), SWT.BORDER);
-		runTrainOptions.setText("TreeTagger Train process options");
+		runTrainOptions.setText("TreeTagger Training process options");
 		GridData gdata2 = new GridData(GridData.FILL, GridData.FILL, true, false, 3, 1);
 		runTrainOptions.setLayoutData(gdata2);
 		runTrainOptions.setLayout(new GridLayout(3, false));
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 1223)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 1224)
@@ -15,10 +15,8 @@
 
 	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String TreeTaggerPreferencePage_0;
 	public static String TreeTaggerPreferencePage_1;
 	public static String TreeTaggerPreferencePage_2;
-	public static String TreeTaggerPreferencePage_3;
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java	(revision 1223)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java	(revision 1224)
@@ -17,6 +17,7 @@
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.actions.CreateSubcorpusDialog;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -89,8 +90,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (Exception e) {
-			Log.severe(TXMUIMessages.ERROR
-					+ Log.toString(e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
 			return;
 		}
 
@@ -181,8 +181,7 @@
 	 */
 	protected void reloadValues() {
 		List<String> values = null;
-		selectedStructuralUnitProperty = selectableStructuralUnitProperties
-				.get(propertyCombo.getSelectionIndex());
+		selectedStructuralUnitProperty = selectableStructuralUnitProperties.get(propertyCombo.getSelectionIndex());
 		//System.out.println("Selectable su prop: "+selectableStructuralUnitProperties); //$NON-NLS-1$
 		//System.out.println("Selected line: "+propertyCombo.getSelectionIndex()); //$NON-NLS-1$
 		//System.out.println("Combo values: "+Arrays.toString(propertyCombo.getItems())); //$NON-NLS-1$
@@ -191,8 +190,7 @@
 			values = selectedStructuralUnitProperty.getOrderedValues(corpus);
 			Collections.sort(values);
 		} catch (CqiClientException e) {
-			Log.severe(TXMUIMessages.ERROR
-					+ Log.toString(e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
 			return;
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 1223)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 1224)
@@ -5,7 +5,9 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Text;
 import org.kohsuke.args4j.NamedOptionDef;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.utils.logger.Log;
 
 public class FloatField extends LabelField {
 	Text dt;
@@ -21,7 +23,7 @@
 		try {
 			return Float.parseFloat(dt.getText());
 		} catch (Exception e) { 
-			System.out.println(TXMUIMessages.ERROR+e.getMessage());
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
 		}
 		return null;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java	(revision 1223)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java	(revision 1224)
@@ -4,11 +4,8 @@
 package org.txm.rcp.swt.widget;
 
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.layout.FormAttachment;
-import org.eclipse.swt.layout.FormData;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
@@ -19,7 +16,7 @@
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 
 /**
- * Widget to manage shared thresholds : fmin, fmax and vmax.
+ * Widget to manage shared threshold filters : fmin, fmax and vmax.
  * 
  * @author sjacquot
  *
@@ -140,7 +137,7 @@
 		
 		// Vmax
 		this.vMaxLabel = new Label(this, SWT.NONE);
-		this.vMaxLabel.setText(TXMCoreMessages.VMAX_1);
+		this.vMaxLabel.setText(TXMCoreMessages.common_vMax);
 		this.vMaxLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
 		vMaxSpinner = new Spinner(this, SWT.BORDER);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1223)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1224)
@@ -55,6 +55,7 @@
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
 import org.eclipse.swt.widgets.Text;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.PartitionComposer;
 import org.txm.rcp.swt.widget.QueryWidget;
@@ -212,8 +213,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(TXMUIMessages.ERROR
-					+ Log.toString(e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
 			return null;
 		}
 		structuralUnitsFinal = new ArrayList<StructuralUnit>();
